Skip to main content
POST
/
enqueueFromSource
Enqueue jobs from various sources
curl --request POST \
  --url https://api.parcha.ai/api/v1/enqueueFromSource \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "source_type": "url",
  "source_content": "<string>",
  "source_name": "Unlabeled Source",
  "prompt": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
agent_id
string
required
source_type
enum<string>
required
Available options:
url,
base64_pdf,
base64_csv,
text
source_content
string
required
source_name
string
default:Unlabeled Source
prompt
string

Response

Source processing started successfully